summaryrefslogtreecommitdiff
path: root/hints/freebsd.sh
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>1999-01-19 12:44:02 +0000
committerJarkko Hietaniemi <jhi@iki.fi>1999-01-19 12:44:02 +0000
commit104d25b722892cb36f4c988c17016ee0180c3b1a (patch)
tree109792e6430e500a9464f9002871477456f0bed5 /hints/freebsd.sh
parentb478f28d3c42f92a71da0b37f44cc5e7d70574a6 (diff)
downloadperl-104d25b722892cb36f4c988c17016ee0180c3b1a.tar.gz
Jumbo Configure update.
* -Uinstallusrbinperl: disable /usr/bin/perl installation by installperl * usethreads.cbu * use64bits.cbu * "nosuid" p4raw-id: //depot/cfgperl@2649
Diffstat (limited to 'hints/freebsd.sh')
-rw-r--r--hints/freebsd.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/hints/freebsd.sh b/hints/freebsd.sh
index d6384628e7..96df283579 100644
--- a/hints/freebsd.sh
+++ b/hints/freebsd.sh
@@ -139,4 +139,39 @@ EOM
signal_t='void'
d_voidsig='define'
+# This script UU/usethreads.cbu will get 'called-back' by Configure
+# after it has prompted the user for whether to use threads.
+cat > UU/usethreads.cbu <<'EOCBU'
+case "$usethreads" in
+$define|true|[yY]*)
+ case "$osvers" in
+ [34].*) ldflags="-pthread $ldflags"
+ ;;
+ 2.2*) if [ ! -r /usr/lib/libc_r ]; then
+ cat <<'EOM' >&4
+POSIX threads are not supported by default on FreeBSD $osvers. Follow the
+instructions in 'man pthread' to build and install the needed libraries.
+EOM
+ exit 1
+ fi
+ set `echo X "$libswanted "| sed -e 's/ c / c_r /'`
+ shift
+ libswanted="$*"
+ # Configure will probably pick the wrong libc to use for nm
+ # scan.
+ # The safest quick-fix is just to not use nm at all.
+ usenm=false
+ ;;
+ *) cat <<'EOM' >&4
+
+It is not known if FreeBSD $osvers supports POSIX threads or not.
+Consider upgrading to the latest STABLE release.
+
+EOM
+ exit 1
+ ;;
+ esac
+ ;;
+esac
+EOCBU